# Uses of Class
org.opensaml.saml.saml2.wssecurity.messaging.impl.SAML20AssertionTokenValidationInput

Packages that use SAML20AssertionTokenValidationInput
Package
Description
org.opensaml.saml.saml2.wssecurity.messaging.impl
Implementation of SAML WS-Security message handler functionality.

## Uses of SAML20AssertionTokenValidationInput in org.opensaml.saml.saml2.wssecurity.messaging.impl

Fields in org.opensaml.saml.saml2.wssecurity.messaging.impl with type parameters of type SAML20AssertionTokenValidationInput
Modifier and Type
Field
Description
`private Function<SAML20AssertionTokenValidationInput,ValidationContext>`
WSSecuritySAML20AssertionTokenSecurityHandler.`validationContextBuilder`
Function that builds a `ValidationContext` instance based on a `SAML20AssertionTokenValidationInput` instance.
Methods in org.opensaml.saml.saml2.wssecurity.messaging.impl that return types with arguments of type SAML20AssertionTokenValidationInput
Modifier and Type
Method
Description
`Function<SAML20AssertionTokenValidationInput,ValidationContext>`
WSSecuritySAML20AssertionTokenSecurityHandler.`getValidationContextBuilder()`
Get the function that builds a `ValidationContext` instance based on a `SAML20AssertionTokenValidationInput` instance.
Methods in org.opensaml.saml.saml2.wssecurity.messaging.impl with parameters of type SAML20AssertionTokenValidationInput
Modifier and Type
Method
Description
`ValidationContext`
DefaultSAML20AssertionValidationContextBuilder.`apply(SAML20AssertionTokenValidationInput input)`
`protected Map<String,Object>`
DefaultSAML20AssertionValidationContextBuilder.`buildStaticParameters(SAML20AssertionTokenValidationInput input)`
Build the static parameters map for input to the `ValidationContext`.
`protected X509Certificate`
DefaultSAML20AssertionValidationContextBuilder.`getAttesterCertificate(SAML20AssertionTokenValidationInput input)`
Get the attesting entity's `X509Certificate`.
`protected String`
DefaultSAML20AssertionValidationContextBuilder.`getAttesterIPAddress(SAML20AssertionTokenValidationInput input)`
Get the attester's IP address.
`protected PublicKey`
DefaultSAML20AssertionValidationContextBuilder.`getAttesterPublicKey(SAML20AssertionTokenValidationInput input)`
Get the attesting entity's `PublicKey`.
`protected CriteriaSet`
DefaultSAML20AssertionValidationContextBuilder.`getSignatureCriteriaSet(SAML20AssertionTokenValidationInput input)`
Get the signature validation criteria set.
`protected Set<InetAddress>`
DefaultSAML20AssertionValidationContextBuilder.`getValidAddresses(SAML20AssertionTokenValidationInput input)`
Get the set of addresses which are valid for subject confirmation.
`protected Set<String>`
DefaultSAML20AssertionValidationContextBuilder.`getValidAudiences(SAML20AssertionTokenValidationInput input)`
Get the valid audiences for attestation.
`protected Set<String>`
DefaultSAML20AssertionValidationContextBuilder.`getValidRecipients(SAML20AssertionTokenValidationInput input)`
Get the valid recipient endpoints for attestation.
Method parameters in org.opensaml.saml.saml2.wssecurity.messaging.impl with type arguments of type SAML20AssertionTokenValidationInput
Modifier and Type
Method
Description
`void`
WSSecuritySAML20AssertionTokenSecurityHandler.`setValidationContextBuilder(Function<SAML20AssertionTokenValidationInput,ValidationContext> builder)`
Set the function that builds a `ValidationContext` instance based on a `SAML20AssertionTokenValidationInput` instance.